Subject: RE: RFC2518 ambiguity on creationdate/lastmodifieddate

From: "Jason Crawford" <[email-masked]>
Date: Thu, 7 Feb 2002 12:01:50 -0500

Hey everyone...

The following posting about four months ago was not answered.   Do we have
an answer?   Is this a general problem for properties?  Let's hear what you
think...

BTW... I'd like to mention, but not necessarily recommend an option.  See
(d) below.

>
> Hi,
>
> if for some reason a server doesn't have one of these timestamps for a
> resource, what should it report on PROPFIND for these properties?
>
> a) Property not found (HTTP 404),
>
> b) Empty property (this seem to be backed by the wording in section 7.4
> [1],
> but is reported as error by Adobe GoLive,
>
> c) Property silently suppressed (not reported at all) -- this
> seems to work
> with GoLive.

 d) Return a fixed but not correctly supported value.  For example, always
    respond with 1/1/1990.

>
> In addition, how should the server behaviour upon a PROPFIND/propname on
> this resource?
>
> Julian
>

------------------------------------------
Phone: 914-784-7569,   [email-masked]